[
    {
        "Id": "583f3ad123c4dda1306bc127ec9f9527c6f5d8d8f654839c126a7f643155a710",
        "Created": "2025-08-20T03:18:51.277663347Z",
        "Path": "appflowy_cloud",
        "Args": [],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 4101,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-22T21:11:22.361273433Z",
            "FinishedAt": "2025-08-22T21:11:19.773104272Z"
        },
        "Image": "sha256:1cb46cf2e7e9f40a45b2846048badeed9006d6059dec6e599ff9403b83280253",
        "ResolvConfPath": "/var/snap/docker/common/var-lib-docker/containers/583f3ad123c4dda1306bc127ec9f9527c6f5d8d8f654839c126a7f643155a710/resolv.conf",
        "HostnamePath": "/var/snap/docker/common/var-lib-docker/containers/583f3ad123c4dda1306bc127ec9f9527c6f5d8d8f654839c126a7f643155a710/hostname",
        "HostsPath": "/var/snap/docker/common/var-lib-docker/containers/583f3ad123c4dda1306bc127ec9f9527c6f5d8d8f654839c126a7f643155a710/hosts",
        "LogPath": "/var/snap/docker/common/var-lib-docker/containers/583f3ad123c4dda1306bc127ec9f9527c6f5d8d8f654839c126a7f643155a710/583f3ad123c4dda1306bc127ec9f9527c6f5d8d8f654839c126a7f643155a710-json.log",
        "Name": "/appflowy-cloud-appflowy_cloud-1",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "appflowy-cloud_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "on-failure",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "583f3ad123c4dda1306bc127ec9f9527c6f5d8d8f654839c126a7f643155a710",
                "LowerDir": "/var/snap/docker/common/var-lib-docker/overlay2/a87411e7da063293802d70e39af6590a772716a9c8ea1e94fc51abd9863f1218-init/diff:/var/snap/docker/common/var-lib-docker/overlay2/5aca88a6c41b1a17fd23607a865d6cf298b3202c14d174584a35a245e47d5d1d/diff:/var/snap/docker/common/var-lib-docker/overlay2/78707ad97d2cbd8488cf062cadbf20128b561934d55b0dfacf9eda63dbdeb183/diff:/var/snap/docker/common/var-lib-docker/overlay2/e160adc94527703503ab39e60f74e2731ab66af5269b14422c7bfb5ff85c03a6/diff:/var/snap/docker/common/var-lib-docker/overlay2/cc4167f57fae1191f1affaf7ec3ebbd71efd895048b62387fb6afd8ca9f34921/diff:/var/snap/docker/common/var-lib-docker/overlay2/86ba4ad07d0b61ef5f02e6e93682c76a1161e7081bb2f75676a9e36a73a24462/diff:/var/snap/docker/common/var-lib-docker/overlay2/fc99b5eb3905f8b361f87d3816589c87865a1906e99c03bf5fa6c122ee114336/diff",
                "MergedDir": "/var/snap/docker/common/var-lib-docker/overlay2/a87411e7da063293802d70e39af6590a772716a9c8ea1e94fc51abd9863f1218/merged",
                "UpperDir": "/var/snap/docker/common/var-lib-docker/overlay2/a87411e7da063293802d70e39af6590a772716a9c8ea1e94fc51abd9863f1218/diff",
                "WorkDir": "/var/snap/docker/common/var-lib-docker/overlay2/a87411e7da063293802d70e39af6590a772716a9c8ea1e94fc51abd9863f1218/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [],
        "Config": {
            "Hostname": "583f3ad123c4",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "8000/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "APPFLOWY_MAILER_SMTP_PASSWORD=email_sender_password",
                "APPFLOWY_BASE_URL=https://appflowy-server.pressmess.duckdns.org",
                "APPFLOWY_GOTRUE_BASE_URL=http://gotrue:9999",
                "APPFLOWY_MAILER_SMTP_PORT=465",
                "APPFLOWY_S3_BUCKET=appflowy",
                "APPFLOWY_S3_REGION=",
                "AI_SERVER_HOST=ai",
                "APPFLOWY_MAILER_SMTP_TLS_KIND=wrapper",
                "APPFLOWY_DATABASE_MAX_CONNECTIONS=40",
                "APPFLOWY_S3_MINIO_URL=http://minio:9000",
                "AI_OPENAI_API_KEY=",
                "AI_SERVER_PORT=5001",
                "APPFLOWY_S3_SECRET_KEY=minioadmin",
                "APPFLOWY_WEB_URL=https://appflowy-server.pressmess.duckdns.org",
                "APPFLOWY_S3_PRESIGNED_URL_ENDPOINT=",
                "RUST_LOG=info",
                "APPFLOWY_DATABASE_URL=postgres://postgres:password@postgres:5432/postgres",
                "APPFLOWY_MAILER_SMTP_USERNAME=email_sender@some_company.com",
                "APPFLOWY_S3_ACCESS_KEY=minioadmin",
                "APPFLOWY_ENVIRONMENT=production",
                "APPFLOWY_REDIS_URI=redis://redis:6379",
                "APPFLOWY_GOTRUE_JWT_EXP=2592000",
                "APPFLOWY_GOTRUE_JWT_SECRET=hello456",
                "APPFLOWY_MAILER_SMTP_EMAIL=email_sender@some_company.com",
                "APPFLOWY_ACCESS_CONTROL=true",
                "APPFLOWY_S3_USE_MINIO=true",
                "APPFLOWY_MAILER_SMTP_HOST=smtp.gmail.com",
                "APPFLOWY_S3_CREATE_BUCKET=true",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "APP_ENVIRONMENT=production",
                "RUST_BACKTRACE=1",
                "PORT=8000"
            ],
            "Cmd": [
                "appflowy_cloud"
            ],
            "Image": "appflowyinc/appflowy_cloud:latest",
            "Volumes": null,
            "WorkingDir": "/app",
            "Entrypoint": null,
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "9962c3ce29442d948b524df280307d058b4f65155185a22cb8f9144f83ec430f",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "gotrue:service_healthy:false",
                "com.docker.compose.image": "sha256:1cb46cf2e7e9f40a45b2846048badeed9006d6059dec6e599ff9403b83280253",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "appflowy-cloud",
                "com.docker.compose.project.config_files": "/home/jon/AppFlowy-Cloud/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/AppFlowy-Cloud",
                "com.docker.compose.replace": "c74355f4992768b91cc1c4e296581638dd571df9dfcb0cb100d8de28a66ed3a3",
                "com.docker.compose.service": "appflowy_cloud",
                "com.docker.compose.version": "2.33.1",
                "org.opencontainers.image.created": "2025-08-16T06:00:23.570Z",
                "org.opencontainers.image.description": "",
                "org.opencontainers.image.licenses": "",
                "org.opencontainers.image.revision": "5b2233ac9bdd0e6d8d94eacf971fa9d2ff85be47",
                "org.opencontainers.image.source": "https://github.com/AppFlowy-IO/AppFlowy-CI",
                "org.opencontainers.image.title": "AppFlowy-CI",
                "org.opencontainers.image.url": "https://github.com/AppFlowy-IO/AppFlowy-CI",
                "org.opencontainers.image.version": "main"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "7ba82a4244d9f863cd30b8013d3022d112c5dd0e2cb9443d8f56ed07cc404817",
            "SandboxKey": "/run/snap.docker/netns/7ba82a4244d9",
            "Ports": {
                "8000/tcp": null
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "appflowy-cloud_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "appflowy-cloud-appflowy_cloud-1",
                        "appflowy_cloud"
                    ],
                    "MacAddress": "a2:24:6c:46:13:bf",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c",
                    "EndpointID": "54972fc651ad1d4e0568a17f6124718d3986771b5c27c50b4bfdec76ba4c7e24",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.9",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "appflowy-cloud-appflowy_cloud-1",
                        "appflowy_cloud",
                        "583f3ad123c4"
                    ]
                }
            }
        }
    }
]
